Package org.eclipse.lemminx.services

## Class ResolveCompletionItemRequest

- java.lang.Object
- - org.eclipse.lemminx.services.ResolveCompletionItemRequest

All Implemented Interfaces:
  `ICompletionItemResolverRequest`, `IComponentProvider`, `ISharedSettingsRequest`

    public class ResolveCompletionItemRequest
    extends Object
    implements ICompletionItemResolverRequest

Implementation of `ICompletionItemResolverRequest`

### Constructor Summary

Constructors
`ResolveCompletionItemRequest​(org.eclipse.lsp4j.CompletionItem unresolved, DOMDocument document, IComponentProvider componentProvider, SharedSettings sharedSettings)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `canSupportMarkupKind​(String kind)` Returns `true` if the client can support the given Markup kind for documentation and `false` otherwise.
`Integer` `getCompletionOffset()` Returns the completion offset coming from the completion item data and null otherwise.
`<T> T` `getComponent​(Class clazz)` Returns the component class instance from the given class and null otherwise.
`String` `getDataProperty​(String fieldName)` Returns the value of a field from the supplementary data attached to the request as a string.
`Boolean` `getDataPropertyAsBoolean​(String fieldName)` Returns the value of a field from the supplementary data attached to the request as an boolean, or null if the field is not an boolean.
`Integer` `getDataPropertyAsInt​(String fieldName)` Returns the value of a field from the supplementary data attached to the request as an integer, or null if the field is not an integer.
`DOMDocument` `getDocument()` Returns the DOM document.
`String` `getParticipantId()` Returns the id of the participant that can resolve the request.
`SharedSettings` `getSharedSettings()` Returns the sharedSettings instance
`org.eclipse.lsp4j.CompletionItem` `getUnresolved()` Returns the unresolved completion item.
`boolean` `isResolveAdditionalTextEditsSupported()` Returns true if the editor supports delayed resolution of additionalTextEdits and false otherwise.
`boolean` `isResolveDocumentationSupported()` Returns true if the editor supports delayed resolution of documentation and false otherwise.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ResolveCompletionItemRequest

    public ResolveCompletionItemRequest​(org.eclipse.lsp4j.CompletionItem unresolved,
                                        DOMDocument document,
                                        IComponentProvider componentProvider,
                                        SharedSettings sharedSettings)

### Method Detail

#### getUnresolved

    public org.eclipse.lsp4j.CompletionItem getUnresolved()

Description copied from interface: `ICompletionItemResolverRequest`
Returns the unresolved completion item.

Specified by:
  `getUnresolved` in interface `ICompletionItemResolverRequest`
Returns:
  the unresolved completion item

#### getParticipantId

    public String getParticipantId()

Description copied from interface: `ICompletionItemResolverRequest`
Returns the id of the participant that can resolve the request.

Specified by:
  `getParticipantId` in interface `ICompletionItemResolverRequest`
Returns:
  the id of the participant that can resolve the request

#### getDataProperty

    public String getDataProperty​(String fieldName)

Description copied from interface: `ICompletionItemResolverRequest`
Returns the value of a field from the supplementary data attached to the request as a string.

Specified by:
  `getDataProperty` in interface `ICompletionItemResolverRequest`
Parameters:
  `fieldName` - the name of the field to retrieve the data from
Returns:
  the value of a field from the supplementary data attached to the request as a string

#### canSupportMarkupKind

    public boolean canSupportMarkupKind​(String kind)

Description copied from interface: `ISharedSettingsRequest`
Returns `true` if the client can support the given Markup kind for documentation and `false` otherwise.

Specified by:
  `canSupportMarkupKind` in interface `ISharedSettingsRequest`
Parameters:
  `kind` - the markup kind
Returns:
  `true` if the client can support the given Markup kind for documentation and `false` otherwise.

#### getDataPropertyAsInt

    public Integer getDataPropertyAsInt​(String fieldName)

Description copied from interface: `ICompletionItemResolverRequest`
Returns the value of a field from the supplementary data attached to the request as an integer, or null if the field is not an integer.

Specified by:
  `getDataPropertyAsInt` in interface `ICompletionItemResolverRequest`
Parameters:
  `fieldName` - the name of the field to retrieve the data from
Returns:
  the value of a field from the supplementary data attached to the request as an integer, or null if the field is not an integer

#### getDataPropertyAsBoolean

    public Boolean getDataPropertyAsBoolean​(String fieldName)

Description copied from interface: `ICompletionItemResolverRequest`
Returns the value of a field from the supplementary data attached to the request as an boolean, or null if the field is not an boolean.

Specified by:
  `getDataPropertyAsBoolean` in interface `ICompletionItemResolverRequest`
Returns:
  the value of a field from the supplementary data attached to the request as an boolean, or null if the field is not an boolean

#### getComponent

    public <T> T getComponent​(Class clazz)

Description copied from interface: `IComponentProvider`
Returns the component class instance from the given class and null otherwise.

Specified by:
  `getComponent` in interface `IComponentProvider`
Parameters:
  `clazz` - class of the component.
Returns:
  the component class instance from the given class and null otherwise.

#### getDocument

    public DOMDocument getDocument()

Description copied from interface: `ICompletionItemResolverRequest`
Returns the DOM document.

Specified by:
  `getDocument` in interface `ICompletionItemResolverRequest`
Returns:
  the DOM document

#### getSharedSettings

    public SharedSettings getSharedSettings()

Description copied from interface: `ISharedSettingsRequest`
Returns the sharedSettings instance

Specified by:
  `getSharedSettings` in interface `ISharedSettingsRequest`
Returns:
  the sharedSettings instance

#### isResolveDocumentationSupported

    public boolean isResolveDocumentationSupported()

Description copied from interface: `ICompletionItemResolverRequest`
Returns true if the editor supports delayed resolution of documentation and false otherwise.

Specified by:
  `isResolveDocumentationSupported` in interface `ICompletionItemResolverRequest`

#### isResolveAdditionalTextEditsSupported

    public boolean isResolveAdditionalTextEditsSupported()

Description copied from interface: `ICompletionItemResolverRequest`
Returns true if the editor supports delayed resolution of additionalTextEdits and false otherwise.

Specified by:
  `isResolveAdditionalTextEditsSupported` in interface `ICompletionItemResolverRequest`

#### getCompletionOffset

    public Integer getCompletionOffset()

Description copied from interface: `ICompletionItemResolverRequest`
Returns the completion offset coming from the completion item data and null otherwise.

Specified by:
  `getCompletionOffset` in interface `ICompletionItemResolverRequest`
Returns:
  the completion offset coming from the completion item data and null otherwise.